al_use_shader(3)

NAME

al_use_shader - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_use_shader(ALLEGRO_SHADER *shader)

DESCRIPTION

Uses the shader for subsequent drawing operations on the current target bitmap. Pass NULL to stop using any shader on the current target bitmap.

Returns true on success. Otherwise returns false, e.g. because the shader is incompatible with the target bitmap.

SINCE

5.1.6

SEE ALSO

al_destroy_shader(3), al_set_shader_sampler(3), al_set_shader_matrix(3), al_set_shader_int(3), al_set_shader_float(3), al_set_shader_bool(3), al_set_shader_int_vector(3), al_set_shader_float_vector(3)